For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Getting Started
    • Welcome
    • Architecture
    • Installation
    • Authentication
    • Quick Start
    • Support
  • Core Concepts
    • Guardrails
    • AI BOM
    • Red Teaming
    • Compliance
    • Audit Logs
  • Integrations
    • GitHub
    • GitLab
    • Azure DevOps
    • Bitbucket
    • Jira
    • LiteLLM
  • Usage Guides
    • Organization
    • Guardrails Setup
    • Policies
    • Scans
    • Red Team
    • Dashboards
  • Code Examples
    • cURL
    • Python
    • Node.js
    • API Patterns
On this page
  • Organization & Workspace Management
  • Hierarchy
  • Creating Workspaces
  • Via Dashboard
  • Via API
  • Managing Users
  • Invite Users
  • Roles & Permissions
  • SSO Setup
  • SAML Configuration
  • OIDC Configuration
  • Role-Based Access Control (RBAC)
  • Create Custom Role
  • Workspace Isolation
  • Strict Mode
  • Shared Mode
  • Next Steps
Usage Guides

Organization & Workspace Management

Was this page helpful?
Edit this page
Previous

Setting Up Guardrails

Next
Built with

Organization & Workspace Management

GovernanceAI uses a hierarchical structure for multi-tenant management.

Hierarchy

Organization
├─ Workspace A
│ ├─ Users
│ ├─ Guardrails
│ └─ Policies
├─ Workspace B
└─ Workspace C

Creating Workspaces

Via Dashboard

  • Settings → Workspaces
  • Create Workspace
  • Enter name (e.g., “Production”, “Development”)
  • Choose isolation level
  • Click Create

Via API

$curl -X POST https://api.governanceai.com/v1/workspaces \
> -H "Authorization: Bearer $API_KEY" \
> -d '{
> "name": "Production",
> "description": "Production environment guardrails",
> "isolation_level": "strict"
> }'

Managing Users

Invite Users

  • Settings → Team Members
  • Invite Member
  • Select role
  • Send invitation

Roles & Permissions

RolePermissions
AdminFull access, manage users
EditorCreate/modify policies and guardrails
ViewerRead-only access
CustomConfigure specific permissions

SSO Setup

SAML Configuration

  • Settings → Single Sign-On
  • Click SAML
  • Enter Identity Provider URL
  • Download SAML metadata
  • Configure in your IdP
  • Test connection

OIDC Configuration

$curl -X POST https://api.governanceai.com/v1/sso/oidc \
> -H "Authorization: Bearer $API_KEY" \
> -d '{
> "client_id": "your_client_id",
> "client_secret": "your_client_secret",
> "discovery_url": "https://idp.company.com/.well-known/openid-configuration",
> "redirect_uri": "https://app.governanceai.com/callback"
> }'

Role-Based Access Control (RBAC)

Create Custom Role

$curl -X POST https://api.governanceai.com/v1/rbac/roles \
> -H "Authorization: Bearer $API_KEY" \
> -d '{
> "name": "Security Lead",
> "permissions": {
> "guardrails": ["create", "read", "update", "delete"],
> "policies": ["create", "read", "update"],
> "reports": ["read", "export"],
> "users": ["read"],
> "audit": ["read"]
> }
> }'

Workspace Isolation

Strict Mode

  • Data completely isolated
  • Separate policies per workspace
  • No data sharing between workspaces

Shared Mode

  • Can reference shared guardrails
  • Org-level policies apply to all
  • Cost optimization

Next Steps

  • Setting Up Guardrails - Create guardrails
  • Creating Policies - Create policies
  • API Reference - User management APIs